com.amazonaws.services.lambda.invoke

## Class DefaultLambdaFunctionNameResolver

- java.lang.Object
- - com.amazonaws.services.lambda.invoke.DefaultLambdaFunctionNameResolver

All Implemented Interfaces:
  LambdaFunctionNameResolver

    public class DefaultLambdaFunctionNameResolver
    extends Object
    implements LambdaFunctionNameResolver

Determine function name from the `LambdaFunction` annotation's functionName attribute if present otherwise uses the method name.

### Constructor Summary

Constructors
Constructor and Description
`DefaultLambdaFunctionNameResolver()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getFunctionName(Method method, LambdaFunction annotation, LambdaInvokerFactoryConfig config)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultLambdaFunctionNameResolver

    public DefaultLambdaFunctionNameResolver()

### Method Detail

#### getFunctionName

    public String getFunctionName(Method method,
                                  LambdaFunction annotation,
                                  LambdaInvokerFactoryConfig config)

Specified by:
  `getFunctionName` in interface `LambdaFunctionNameResolver`